Package org.eclipse.lemminx.extensions.contentmodel.settings

## Class XMLSymbolsSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.settings.XMLSymbolsSettings

    public class XMLSymbolsSettings
    extends Object

XML symbol settings for content model.

### Constructor Summary

Constructors
`XMLSymbolsSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isShowReferencedGrammars()` Returns true if the referenced grammars must be inserted in the symbols and false otherwise.
`void` `setShowReferencedGrammars​(boolean showReferencedGrammars)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLSymbolsSettings

    public XMLSymbolsSettings()

### Method Detail

#### isShowReferencedGrammars

    public boolean isShowReferencedGrammars()

Returns true if the referenced grammars must be inserted in the symbols and false otherwise.

Returns:
  true if the referenced grammars must be inserted in the symbols and false otherwise.

#### setShowReferencedGrammars

    public void setShowReferencedGrammars​(boolean showReferencedGrammars)